// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

type ActivateStoreInput struct {
	StoreID string `json:"storeID"`
}

type ActivateUserInput struct {
	UserID string `json:"userID"`
}

type ApproveBoostInput struct {
	BoostID string `json:"boostID"`
}

type ApproveCouponInput struct {
	CouponID string `json:"couponID"`
}

type BanStoreInput struct {
	StoreID string `json:"storeID"`
}

type BanUserInput struct {
	UserID string `json:"userID"`
}

type Bin struct {
	ID          string  `json:"id"`
	Name        string  `json:"name"`
	Description string  `json:"description"`
	Status      string  `json:"status"`
	Peripheral  string  `json:"peripheral"`
	Latitude    float64 `json:"latitude"`
	Longitude   float64 `json:"longitude"`
}

type Boost struct {
	ID          string `json:"id"`
	CouponName  string `json:"couponName"`
	ProductName string `json:"productName"`
}

type CouponCategory struct {
	ID   string `json:"id"`
	Name string `json:"name"`
}

type CreateBinInput struct {
	Name        string  `json:"name"`
	Description string  `json:"description"`
	Peripheral  string  `json:"peripheral"`
	Status      string  `json:"status"`
	Latitude    float64 `json:"latitude"`
	Longitude   float64 `json:"longitude"`
}

type CreateCouponCategoryInput struct {
	Name string `json:"name"`
}

type CreateProductInput struct {
	Name  string  `json:"name"`
	Price float64 `json:"price"`
	Day   int     `json:"day"`
}

type CreateStoreCategoryInput struct {
	Name string `json:"name"`
}

type CreateTrashInput struct {
	Name         string  `json:"name"`
	Code         string  `json:"code"`
	RegularPoint float64 `json:"regularPoint"`
	SalePoint    float64 `json:"salePoint"`
}

type DeleteBinInput struct {
	BinID string `json:"binID"`
}

type DeleteCouponCategoryInput struct {
	CategoryID string `json:"categoryID"`
}

type DeleteProductInput struct {
	ProductID string `json:"productID"`
}

type DeleteStoreCategoryInput struct {
	CategoryID string `json:"categoryID"`
}

type DeleteTrashInput struct {
	TrashID string `json:"trashID"`
}

type Product struct {
	ID    string  `json:"id"`
	Name  string  `json:"name"`
	Price float64 `json:"price"`
	Day   int     `json:"day"`
}

type RejectBoostInput struct {
	BoostID string `json:"boostID"`
}

type RejectCouponInput struct {
	CouponID string `json:"couponID"`
}

type Status struct {
	Success bool `json:"success"`
}

type StoreCategory struct {
	ID   string `json:"id"`
	Name string `json:"name"`
}

type Transaction struct {
	ID          string  `json:"id"`
	Type        string  `json:"type"`
	Point       float64 `json:"point"`
	Description string  `json:"description"`
	CreatedAt   string  `json:"createdAt"`
}

type Trash struct {
	ID           string  `json:"id"`
	Name         string  `json:"name"`
	Code         string  `json:"code"`
	RegularPoint float64 `json:"regularPoint"`
	SalePoint    float64 `json:"salePoint"`
}

type UpdateBinInput struct {
	BinID       string  `json:"binID"`
	Name        string  `json:"name"`
	Description string  `json:"description"`
	Peripheral  string  `json:"peripheral"`
	Status      string  `json:"status"`
	Latitude    float64 `json:"latitude"`
	Longitude   float64 `json:"longitude"`
}

type UpdateCouponCategoryInput struct {
	CategoryID string `json:"categoryID"`
	Name       string `json:"name"`
}

type UpdateProductInput struct {
	ProductID string  `json:"productID"`
	Name      string  `json:"name"`
	Price     float64 `json:"price"`
	Day       int     `json:"day"`
}

type UpdateStoreCategoryInput struct {
	CategoryID string `json:"categoryID"`
	Name       string `json:"name"`
}

type UpdateTrashInput struct {
	TrashID      string  `json:"trashID"`
	Name         string  `json:"name"`
	Code         string  `json:"code"`
	RegularPoint float64 `json:"regularPoint"`
	SalePoint    float64 `json:"salePoint"`
}

type User struct {
	ID        string  `json:"id"`
	Firstname string  `json:"firstname"`
	Lastname  string  `json:"lastname"`
	Email     string  `json:"email"`
	Phone     string  `json:"phone"`
	Photo     string  `json:"photo"`
	Point     float64 `json:"point"`
	Status    string  `json:"status"`
}
